package com.university;

import java.util.ArrayList;

public class Course {
	private String ID;
	private String name;
	private Department department;
	private Professor professor;
	private int credit;
	ArrayList<Student> students = new ArrayList<>();
	public Course(String ID, String name, Department department, Professor professor, int credit) {
		this.credit=credit;
		this.department=department;
		this.ID=ID;
		this.name=name;
		this.professor=professor;
	}

	public String getID(){
		return this.ID;
	}

	public Department getDepartment(){
		return this.department;
	}

	public String getName() {
		return this.name;
	}

	public Student[] getStudents() {
		Student[] arr = new Student[students.size()];
		return students.toArray(arr);
	}

	public Professor getProfessor() {
		return this.professor;
	}

	public int getCredit() {
		return this.credit;
	}

	public void enrollStudent(Student student){
		if(student.getDepartment()== this.department)
			students.add(student);
	}

}
