package com.university;

import java.util.ArrayList;

public class Student {
	private String name;
	private String ID;
	private String major;
	private Department department;
	private ArrayList<Course> courses = new ArrayList<>();   
	public Student(String name, String ID, String major, Department department) {
    	this.name = name;
    	this.ID = ID;
    	this.major = major;
    	this.department = department;
    }

    public String getName() {
        return this.name;
    }

    public String getID() {
        return this.name;
    }

    public String getMajor() {
        return this.name;
    }

    public Department getDepartment() {
        return this.department;
    }

    public Course[] getCourses() {
    	Course[] arr = new Course[courses.size()];
        return courses.toArray(arr);
    }

    public void addCourse(Course course){
    	if(course != null)
    		courses.add(course);
    }
    
}
