package test;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertNotNull;

import org.junit.Test;
import org.junit.jupiter.api.BeforeAll;

import com.university.Department;
import com.university.Student;


public class StudentTests {
    static Student student;
    static Department department;

    @BeforeAll
    public static void createStudent(){
        department = new Department("Computer and IT Eng");
        student = new Student("Alireza", "1234", "Software Eng", department);
    }

    @Test
    public void testStudentGetName(){
        assertEquals("Alireza", student.getName());
    }

    @Test
    public void testStudenGetCourses(){
        assertNotNull(student.getCourses());
        assertEquals(0, student.getCourses().length);
    }
    @Test
    public void testStudentGetID() {
    	assertNotNull(student.getID());
    }
    @Test
    public void testStudentGetDepartment() {
    	assertNotNull(student.getDepartment());
    }
    @Test
    public void testStudentGetMajor() {
    	assertNotNull(student.getMajor());
    }
    

}
